<?php
class CertificateManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'certificate' => 'out', 
'type' => 'integer' 
), 
'importPrivateKey' => array( 
'result' => 'out', 
'id' => 'out' 
), 
'importCertificate' => array( 
'result' => 'out', 
'certificate' => 'out', 
'id' => 'string' 
), 
'set' => array( 
'result' => 'out', 
'id' => 'string', 
'type' => 'integer' 
), 
'discard' => array ( 
'ids' => 'array' 
), 
'generate' => array ( 
'result' => 'out', 
'id' => 'out', 
'certificate' => 'out', 
'subject' => 'array', 
'period' => 'array' 
), 
'getCountryList' => array ( 
'countries' => 'out' 
), 
'detect' => array( 
'result' => 'out', 
'certificate' => 'out', 
'host' => 'string' 
) 
); 
protected $x_235 = 'webadmin::CertificateManager'; 
public function get(&$x_23l, $x_23m) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->get(&$x_23l, $x_23m); 
} 
return false; 
} 
public function importPrivateKey(&$x_232, &$x_23n) { 
$x_235 = kerio($this->x_235); 
$x_23o = file_get_contents($_FILES['keyFileUpload']['tmp_name']); 
if (false === $x_23o) { 
return false; 
} 
if ($x_235) { 
return $x_235->importPrivateKey(&$x_232, &$x_23n, $x_23o); 
} 
return false; 
} 
public function importCertificate(&$x_232, &$x_23l, $x_23n) { 
$x_235 = kerio($this->x_235); 
$x_23o = file_get_contents($_FILES['certificateFileUpload']['tmp_name']); 
if (false === $x_23o) { 
return false; 
} 
if ($x_235) { 
return $x_235->importCertificate(&$x_232, &$x_23l, $x_23n, $x_23o); 
} 
return false; 
} 
public function set(&$x_232, $x_23n, $x_23m) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_23n, $x_23m); 
} 
return false; 
} 
public function discard($x_23p) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->discard($x_23p); 
} 
return false; 
} 
public function generate(&$x_232, &$x_23n, &$x_23l, $x_23q, $x_23r) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->generate(&$x_232, &$x_23n, &$x_23l, $x_23q, $x_23r); 
} 
return false; 
} 
public function getCountryList(&$x_23s) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->getCountryList(&$x_23s); 
} 
return false; 
} 
public function detect(&$x_232, &$x_23l, $x_23t) { 
$x_235 = kerio($this->x_235); 
if ($x_235) { 
return $x_235->detect(&$x_232, &$x_23l, $x_23t); 
} 
return false; 
} 
}; 
?>
